
package de.ivu.elect.presentation.exchange;

import javax.inject.Inject;

import org.apache.deltaspike.core.api.scope.GroupedConversation;
import org.apache.deltaspike.core.api.scope.ConversationGroup;
import org.apache.deltaspike.core.api.scope.GroupedConversationScoped;

@GroupedConversationScoped
@ConversationGroup(ImportDescriptionConversationStore.class)
public class ImportDescriptionConversationStore implements java.io.Serializable {

  private static final long serialVersionUID = 1L;

  @Inject
  protected GroupedConversation conversation;

  private ImportDescription importDescription;

  public void close() {
    conversation.close();
  }

  public boolean isSelected() {
    return getImportDescription() != null;
  }

  public ImportDescription getImportDescription() {
    return importDescription;
  }

  public void setImportDescription(ImportDescription importDescription) {
    this.importDescription = importDescription;
  }

}
